
!WAPackage class methodsFor: '*seaside-tests-internetexplorer' stamp: 'lr 10/23/2008 21:34'!
seasideTestsInternetExplorer
	^ self new
		name: 'Seaside-Tests-InternetExplorer';
		description: 'Unit tests for the package Seaside-InternetExplorer.';
		addDependency: 'Seaside-InternetExplorer';
		addDependency: 'Seaside-Tests-Core';
		yourself! !

!WAResponseTest methodsFor: '*seaside-tests-internetexplorer' stamp: 'lr 1/17/2009 18:01'!
testForceSafe
	self response forceSafe.
	self assert: (self response headerAt: 'X-Download-Options') = 'noopen'.
	self assert: (self response headers size) = 1! !

!WAResponseTest methodsFor: '*seaside-tests-internetexplorer' stamp: 'lr 1/17/2009 18:02'!
testIMeanIt
	self response iMeanIt.
	self assert: (self response headerAt: 'X-Content-Type-Options') = 'nosniff'.
	self assert: (self response headers size) = 1! !

!WAResponseTest methodsFor: '*seaside-tests-internetexplorer' stamp: 'lr 1/17/2009 18:02'!
testImNice
	self response imNice.
	self assert: (self response headerAt: 'P3P') value = 'CP="CAO PSA OUR"'.
	self assert: (self response headers size) = 1! !
